org.apache.fop.render.pdf.extensions

## Class PDFDocumentInformationElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement
    - - org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement
      - - org.apache.fop.render.pdf.extensions.PDFDictionaryElement
        - - org.apache.fop.render.pdf.extensions.PDFDocumentInformationElement

All Implemented Interfaces:
  Cloneable

    public class PDFDocumentInformationElement
    extends PDFDictionaryElement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

### Field Summary

### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFDictionaryElement

`ATT_ID`

### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement

`ATT_KEY`

### Fields inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement

`attachment`

### Fields inherited from class org.apache.fop.fo.FONode

`FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addChildNode(FONode child)` Adds a node as a child of this node.
`void` `processNode(String elementName, Locator locator, Attributes attlist, PropertyList propertyList)` Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
`void` `startOfNode()` Called after processNode() is called.
`protected void` `validateChildNode(Locator loc, String namespaceURI, String localName)` Checks to make sure, during SAX processing of input document, that the incoming node is valid for this (parent) node (e.g., checking to see that `fo:table` is not an immediate child of `fo:root`) called from `FOTreeBuilder.startElement(String, String, String, Attributes)` before constructing the child `FObj`.

### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFDictionaryElement

`endOfNode, getDictionaryExtension, getLocalName, instantiateExtensionAttachment`

### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement

`characters, getExtension`

### Methods inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement

`getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix`

### Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### processNode

    public void processNode(String elementName,
                            Locator locator,
                            Attributes attlist,
                            PropertyList propertyList)
                     throws FOPException

Description copied from class: `FONode`
Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.

Overrides:
  `processNode` in class `PDFDictionaryElement`
Parameters:
  `elementName` - element name (e.g., "fo:block")
  `locator` - Locator object (ignored by default)
  `attlist` - Collection of attributes passed to us from the parser.
  `propertyList` - the property list of the parent node
Throws:
  `FOPException` - for errors or inconsistencies in the attributes

#### startOfNode

    public void startOfNode()
                     throws FOPException

Description copied from class: `FONode`
Called after processNode() is called. Subclasses can do additional processing.

Overrides:
  `startOfNode` in class `PDFDictionaryElement`
Throws:
  `FOPException` - if there's a problem during processing

#### validateChildNode

    protected void validateChildNode(Locator loc,
                                     String namespaceURI,
                                     String localName)
                              throws ValidationException

Description copied from class: `FONode`
Checks to make sure, during SAX processing of input document, that the incoming node is valid for this (parent) node (e.g., checking to see that `fo:table` is not an immediate child of `fo:root`) called from `FOTreeBuilder.startElement(String, String, String, Attributes)` before constructing the child `FObj`.

Overrides:
  `validateChildNode` in class `FONode`
Parameters:
  `loc` - location in the FO source file
  `namespaceURI` - namespace of incoming node
  `localName` - name of the incoming node (without namespace prefix)
Throws:
  `ValidationException` - if incoming node not valid for parent

#### addChildNode

    protected void addChildNode(FONode child)
                         throws FOPException

Description copied from class: `FONode`
Adds a node as a child of this node. The default implementation of this method just ignores any child node being added.

Overrides:
  `addChildNode` in class `PDFDictionaryElement`
Parameters:
  `child` - child node to be added to the childNodes of this node
Throws:
  `FOPException` - if there's a problem during processing